//*************************
// обработка команд из HC05
//*************************

// обработка команд из HC05 для режима STOP_MODE
void parse_command_HC05_0(byte char1)  {
  switch(command_serial)
    {
     // ****  **********
     case SET_MODE:  // смена режима
        set_mode(data_serial);flag2=true;
        break; 
     default:  
        break; 
    }
}

// обработка команд из HC05 для режима BUTTON_MODE
void parse_command_HC05_1(byte char1)  {
  switch(command_serial)
    {
     // ****  **********
     case SET_MODE:  // смена режима
        set_mode(data_serial);flag2=true;
        break; 
     case COMMAND_BUTTONS:  // режим нажатия
        command_buttons(data_serial);flag2=true;
        break; 
     case SPEED_BUTTONS:  // скорость - слайдер
        speed_buttons(data_serial);flag2=true;
        break; 
     default:  
        break; 
    }
}
// обработка команд из HC05 для режима ORIENT_MODE
void parse_command_HC05_2(byte char1)  {
  int arrspeed[]={0,50,100,150,200,225,255,255,255};
  
  switch(command_serial)
    {
     // ****  **********
     case SET_MODE:  // смена режима
        set_mode(data_serial);
        break; 
     case ORIENT_PITCH:  // pinch+
        MOVE1.left1=1;MOVE1.left2=0;
        MOVE1.right1=1;MOVE1.right2=0;
        orient_speed_left=arrspeed[data_serial];
        orient_speed_right=arrspeed[data_serial];
        flag2=false;
        break;
     case ORIENT_PITCH_M:  // pinch-
        MOVE1.left1=0;MOVE1.left2=1;
        MOVE1.right1=0;MOVE1.right2=1;
        orient_speed_left=arrspeed[data_serial];
        orient_speed_right=arrspeed[data_serial];
        flag2=false;
        break; 
     case ORIENT_ROLL:  // roll+
        if(arrspeed[data_serial]>=orient_speed_left) {
            orient_speed_left=arrspeed[data_serial];
            orient_speed_right=0;
        }
        else
            orient_speed_right=orient_speed_left-arrspeed[data_serial];
        flag2=true;
        setspeed(orient_speed_left,orient_speed_right);
        break; 
     case ORIENT_ROLL_M:  // roll-
        if(arrspeed[data_serial]>=orient_speed_right) {
            orient_speed_right=arrspeed[data_serial];
            orient_speed_left=0;
        }
        else
            orient_speed_left=orient_speed_right-arrspeed[data_serial];
        setspeed(orient_speed_left,orient_speed_right);
        break; 
     default:  
        break; 
    }

}
// обработка команд из HC05 для режима TRACKING_MODE
void parse_command_HC05_3(byte char1)  {
  switch(command_serial)
    {
     // ****  **********
     case SET_MODE:  // смена режима
        set_mode(data_serial);flag2=true;
        break; 
     default:  
        break; 
    }
}

// установка режима
void set_mode(int mod) {
  switch(mod)
    {
     case STOP_MODE:  // режим 0
        Serial.println("mode=0");mode=0;
        break; 
     case BUTTON_MODE:  // режим 1
        Serial.println("mode=1");mode=1;
        break; 
     case ORIENT_MODE:  // режим 2
        Serial.println("mode=2");mode=2;
        break; 
     case TRACKING_MODE:  // режим 3
        Serial.println("mode=3");mode=3;
        break; 
     default:  
        Serial.println("mode=0");mode=0;        
        break; 
    }   
}
// по нажатии buttons
void command_buttons(int mod) {
  switch(mod)
    {
     case B_LEFT_FORWARD:  // left - forward
        forward_left();
        Serial.println("left - forward");
        break; 
     case B_FORWARD:  // forward
        forward();
        Serial.println("forward");
        break; 
     case B_RIGHT_FORWARD:  // right-forward
        forward_right();
        Serial.println("right-forward");
        break; 
     case B_RIGHT:  // right
        right();
        Serial.println("right");
        break; 
     case B_RIGHT_BACKWARD:  // right-backward
        backward_right();
        Serial.println("right-backward");
        break; 
     case B_BACKWARD:  // backward
        backward();
        Serial.println("backward");
        break; 
     case B_LEFT_BACKWARD:  // left-backward
        backward_left();
        Serial.println("left-backward");
        break; 
     case B_LEFT:  // left
        left();
        Serial.println("left");
        break; 
     case B_STOP:  // stop
        stop();
        Serial.println("stop");
        break; 
     default:  
        Serial.println("mode=0");mode=0;        
        break; 
    }   
}
// по скорость слайдер
void speed_buttons(int speed_) {
  switch(speed_)
    {
      // Скорость 0%
      case 0:
        setspeed(0, 0);
        Serial.println("speed 0");
        break;
      // Скорость 10%
      case 1:
        setspeed(40, 40);
        Serial.println("speed 40");
        break;
      // Скорость 20%
      case 2:
        setspeed(70, 70);
        Serial.println("speed 70");
        break;
      // Скорость 30%
      case 3:
        setspeed(100, 100);
        Serial.println("speed 100");
        break;
      // Скорость 40%
      case 4:
        setspeed(125, 125);
        Serial.println("speed 125");
        break;
      // Скорость 50%
      case 5:
        setspeed(150, 150);
        Serial.println("speed 150");
        break;
      // Скорость 60%
      case 6:
        setspeed(180, 180);
        Serial.println("speed 180");
        break;
      // Скорость 70%
      case 7:
        setspeed(205, 205);
        Serial.println("speed 205");
        break;
      // Скорость 80%
      case 8:
        setspeed(230, 230);
        Serial.println("speed 230");
        break;
      // Скорость 90%
      case 9:
        setspeed(255, 255);
        Serial.println("speed 255");
        break;
      default:
        break;
      
    }
}


